PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Typedefs | Enumerations
pssl.h File Reference
`#include <ptlib/sockets.h>`
Include dependency graph for pssl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PSSLPrivateKey
| Private key for SSL. More...
class | PSSLCertificate
| Certificate for SSL. More...
class | PSSLCertificate::X509_Name
class | PSSLDiffieHellman
| Diffie-Hellman parameters for SSL. More...
class | PSHA1Context
| SHA1 digest scheme. More...
class | PSSLContext
| Context for SSL channels. More...
class | PSSLChannel
| This class will start a secure SSL based channel. More...

## Macros
#define | PDECLARE_SSLPasswordNotifier(cls, fn) PDECLARE_NOTIFIER2(PString, cls, fn, bool)

## Typedefs
typedef PNotifierTemplate< bool > | PSSLPasswordNotifier

## Enumerations
enum | PSSLFileTypes { PSSLFileTypePEM, PSSLFileTypeASN1, PSSLFileTypeDEFAULT }

## Macro Definition Documentation

#define PDECLARE_SSLPasswordNotifier | ( |  | cls,
|  |  | fn
| ) |  | PDECLARE_NOTIFIER2(PString, cls, fn, bool)

## Typedef Documentation

typedef PNotifierTemplate<bool> PSSLPasswordNotifier

## Enumeration Type Documentation

enum PSSLFileTypes

Enumerator
PSSLFileTypePEM |
PSSLFileTypeASN1 |
PSSLFileTypeDEFAULT |